Bug 1569613 - compute.min_compute_nodes not discovered by tempestconf
Summary: compute.min_compute_nodes not discovered by tempestconf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-tempestconf
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: beta
: 14.0 (Rocky)
Assignee: Arx Cruz
QA Contact: Martin Kopec
URL:
Whiteboard:
Depends On: 1622011
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 15:03 UTC by Attila Fazekas
Modified: 2019-01-11 11:49 UTC (History)
3 users (show)

Fixed In Version: python-tempestconf-2.0.0-0.20180821043805.d7db90e.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-11 11:49:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 570157 None None None 2018-08-14 06:40:22 UTC
Red Hat Product Errata RHEA-2019:0045 None None None 2019-01-11 11:49:53 UTC

Description Attila Fazekas 2018-04-19 15:03:06 UTC
The live migration test are only running if tempest expect more than 1 hypervisor (or nova host with compute binary).

When tempestconf gets admin credentials it has the ability to guess this option properly, so please implement this.

Comment 2 Martin Kopec 2018-08-14 06:40:22 UTC
The patch with a fix has been merged to master branch. The fix will be included in python-tempestconf-2.0.0 package released soon.
Until a package containing the fix is built, moving to POST state.

Comment 5 Martin Kopec 2018-10-26 10:11:24 UTC
The python-tempestconf-2.0.0-0.20180821043805.d7db90e.el7ost package contains the wanted ability. It's available in 2018-10-25.3 puddle and it's also available via latest symlink.

Comment 8 errata-xmlrpc 2019-01-11 11:49:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:0045


Note You need to log in before you can comment on or make changes to this bug.